{% extends "base.html" %} 

{% block title %} 
    Note List
{% endblock %}

{% block css %}

    {% load static %}
    <link rel="stylesheet" href="{% static 'css/table.css' %}">
    
{% endblock %}

{% block content %} 

    <h1 class="section-title">Table of Notes</h1>
    <table>
        <tr class="table-header">
            <th>Destination</th>
            <th>Origin</th>
            <th>Title</th>
            <th>Message</th>
        </tr>

        <!-- Loop through all Note objects and display them on the table -->
        {% for note in notes %} 
            <tr>
                <td>{{note.dest}}</td>
                <td>{{note.origin}}</td>
                <td>{{note.title}}</td>
                <td>{{note.message}}</td>
            </tr>
        {% endfor %}
    </table>

    <section class="btn-lst">
        <a href="/lab-4/note-list" class="btn-link">Card Mode</a>
        <a href="/lab-4/add-note" class="btn-link">Add Notes</a>
    </section>
    

{% endblock %}